# List resource groups

**GET /v1/resource-groups**

List Redpanda resource groups. The `filter.` query string parameter finds resource groups that match the provided name.


## Servers
- Control Plane API: https://api.redpanda.com (Control Plane API)


## Authentication methods
- Auth0


## Parameters


### Query parameters
- **filter.name_contains** (string)
  Name of resource group. Partial match.
- **page_size** (integer(int32))

- **page_token** (string)

- **read_mask** (string)



## Responses
### 200
OK

#### Body: application/json (object)
- **next_page_token** (string)

- **resource_groups** (array[object])
  Matching resource groups.

### 500
Internal Server Error. Reach out to support.

#### Body: application/json (object)
- **code** (string(int32))
  RPC status code, as described [here](https://github.com/googleapis/googleapis/blob/b4c238feaa1097c53798ed77035bbfeb7fc72e96/google/rpc/code.proto#L32).
- **details** (array[object])
  A list of messages that carries the error details.
- **message** (string)
  Detailed error message. No compatibility guarantees are given for the text contained in this message.


[Powered by Bump.sh](https://bump.sh)
